<div>
    @switch($activePage)

        @case('profile')
            <livewire:profile />
            @break
            
        @case('user-management')
            <livewire:user-management />
            @break

        @case('notification')
            <livewire:notification />
            @break
        
        <!-- Member Management -->
        @case('card-member')
            <livewire:card-member />
            @break

        @case('locked-account')
            <livewire:locked-account />
            @break
        <!-- end -->
        
        <!-- Home Page (Mobile) -->
        @case('photo-slider')
            <livewire:photo-slider />
            @break
        <!-- end -->

        @case('promotion')
            <livewire:promotion />
            @break

        @case('top-up')
            <livewire:top-up />
            @break

        <!-- About Us -->
        @case('card-type')
            <livewire:card-type />
            @break

        @case('terms-and-privacy')
            <livewire:terms-and-privacy />
            @break
        <!-- end -->

        <!-- Reports -->
        @case('registration-report')
            <livewire:registration-report />
            @break

        @case('top-up-usage-report')
            <livewire:top-up-usage-report />
            @break

        @case('mobile-usage-report')
            <livewire:mobile-usage-report />
            @break

        @case('station-rating-report')
            <livewire:station-rating-report />
            @break
        <!-- end -->

        @case('system-parameter')
            <livewire:system-parameter />
            @break

        <!-- Station Locator -->
        @case('branch')
            <livewire:branch />
            @break

        @case('station')
            <livewire:station />
            @break

        @case('fuel')
            <livewire:fuel />
            @break

        @case('user-create')
                <livewire:buttons.create-user />
            @break

        @case('notification-create')
                <livewire:buttons.create-notification />
            @break

        @case('photo-slider-create')
                <livewire:buttons.create-photo-slider />
            @break

        @case('promotion-create')
                <livewire:buttons.create-promotion />
            @break

        @case('top-up-create')
                <livewire:buttons.create-top-up />
            @break

        @case('card-type-create')
                <livewire:buttons.create-card-type />
            @break

        @case('terms-and-privacy-create')
                <livewire:buttons.create-terms-and-privacy />
            @break

        @case('branch-create')
                <livewire:buttons.create-branch />
            @break

        @case('station-create')
                <livewire:buttons.create-station />
            @break
            
        @case('fuel-create')
                <livewire:buttons.create-fuel />
            @break

        @default
            <livewire: profile />
    @endswitch
</div>
